Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class ModelComponentTable

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.rules.sdk.editor.datamodel.ModelComponentTable`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, java.util.List, java.util.RandomAccess, java.io.Serializable

Direct Known Subclasses:
  ConstraintTable, ConstructorTable, EnumValueTable, FactTypeTable, FieldTable, FormalParameterTable, FunctionTable, MethodTable, PropertyTable, VariableTable

public abstract class ModelComponentTable
extends java.util.ArrayList

Base class for all element tables in a data model

See Also:
  Serialized Form

Field Summary
`protected DataModel` | `m_dm`
`protected int[]` | `m_mark`
`protected ModelComponent` | `m_parent`

Fields inherited from class java.util.AbstractList
`modCount`

Method Summary
`ModelComponent` | `getParent()` Get parent ModelComponent Object
`void` | `mark(int[] idxs)` Mark the rows in the table with the given indexes.
`abstract java.lang.Object` | `removeByID(java.lang.String id)` Remove a model component by id.
`int` | `removeMarked()` Remove the rows previously marked

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Field Detail

### m_dm

    protected DataModel m_dm

### m_parent

    protected ModelComponent m_parent

### m_mark

    protected int[] m_mark

Method Detail

### getParent

    public ModelComponent getParent()

  Get parent ModelComponent Object
  Returns:
    The parent ModelComponent Object

### mark

    public void mark(int[] idxs)

  Mark the rows in the table with the given indexes. Used in GUI Development.
  Parameters:
    `idxs` - a list of row index

### removeMarked

    public int removeMarked()
                     throws DeleteException

  Remove the rows previously marked
  Returns:
    the number of rows removed
  Throws:
    `DeleteException`

### removeByID

    public abstract java.lang.Object removeByID(java.lang.String id)
                                         throws DeleteException

  Remove a model component by id. If the given id does not match any component in the list, then no component is removed. If the component is used in other datamodel/rule definition(s), a DeleteException is thrown.
  Parameters:
    `id` - the id of the model component to be removed
  Returns:
    The model component being removed. Null if no model component is removed.
  Throws:
    `thrown` - if the model component is used in other datamodel/rule definition(s). The message of the exception contains all the places where the model component is used
    `DeleteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.